Questo contenuto non è disponibile nella lingua selezionata.

15.4. Update Environment Variable


Description

Update the value of an existing environment variable.

Method and URL Structure

Expand
Method URL Structure
PUT /broker/rest/application/:id/environment-variable/ENV_VAR_NAME

Request Parameters

Expand
Name Description Required Default
value Value of environment variable Yes

Request

{
  "value": "mynewvalue"
}

cURL Command Example

$ curl -X PUT https://openshift.redhat.com/broker/rest/application/534253991015616165707776/environment-variable/MY_ENV_VAR --user user@example.com --data-urlencode value=mynewvalue 

JSON Response

The API returns the environment variables resource with related resource links which have been left out for brevity. See Chapter 15, Environment Variables for more information on all parameters for environment variables.

{
    "api_version": 1.6,
    "data": {
        "name": "MY_ENV_VAR",
        "value": "mynewvalue"
    },
    "messages": [
        {
            "exit_code": 0,
            "field": null,
            "severity": "info",
            "text": "Updated environment variable 'MY_ENV_VAR' in application myapp"
        }
    ],
    "status": "ok",
    "supported_api_versions": [
	    1.0,
	    1.1,
	    1.2,
	    1.3,
	    1.4,
	    1.5,
	    1.6
	  ],
	  "type": "environment-variable",
	  "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Formazione

Prova, acquista e vendi

Community

Informazioni su Red Hat

Forniamo soluzioni consolidate che rendono più semplice per le aziende lavorare su piattaforme e ambienti diversi, dal datacenter centrale all'edge della rete.

Rendiamo l’open source più inclusivo

Red Hat si impegna a sostituire il linguaggio problematico nel codice, nella documentazione e nelle proprietà web. Per maggiori dettagli, visita il Blog di Red Hat.

Informazioni sulla documentazione di Red Hat

Legal Notice

Theme

© 2026 Red Hat
Torna in cima